Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network8.96.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
8.96.0.0
Broadcast address
8.96.127.255
First usable
8.96.0.1
Last usable
8.96.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 08600000 · Integer 140509184 to 140541951
Reverse DNS zones
0.96.8.in-addr.arpa
1.96.8.in-addr.arpa
2.96.8.in-addr.arpa
3.96.8.in-addr.arpa
4.96.8.in-addr.arpa
5.96.8.in-addr.arpa
6.96.8.in-addr.arpa
7.96.8.in-addr.arpa
8.96.8.in-addr.arpa
9.96.8.in-addr.arpa
10.96.8.in-addr.arpa
11.96.8.in-addr.arpa
12.96.8.in-addr.arpa
13.96.8.in-addr.arpa
14.96.8.in-addr.arpa
15.96.8.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001000.01100000.00000000.000000008.96.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00001000.01100000.00000000.000000008.96.0.0
Broadcast00001000.01100000.01111111.111111118.96.127.255
Split into smaller subnets/25

8.96.0.0/17 makes 256 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
18.96.0.0/258.96.0.1 to 8.96.0.1268.96.0.127126
28.96.0.128/258.96.0.129 to 8.96.0.2548.96.0.255126
38.96.1.0/258.96.1.1 to 8.96.1.1268.96.1.127126
48.96.1.128/258.96.1.129 to 8.96.1.2548.96.1.255126
58.96.2.0/258.96.2.1 to 8.96.2.1268.96.2.127126
68.96.2.128/258.96.2.129 to 8.96.2.2548.96.2.255126
78.96.3.0/258.96.3.1 to 8.96.3.1268.96.3.127126
88.96.3.128/258.96.3.129 to 8.96.3.2548.96.3.255126
98.96.4.0/258.96.4.1 to 8.96.4.1268.96.4.127126
108.96.4.128/258.96.4.129 to 8.96.4.2548.96.4.255126
118.96.5.0/258.96.5.1 to 8.96.5.1268.96.5.127126
128.96.5.128/258.96.5.129 to 8.96.5.2548.96.5.255126
138.96.6.0/258.96.6.1 to 8.96.6.1268.96.6.127126
148.96.6.128/258.96.6.129 to 8.96.6.2548.96.6.255126
158.96.7.0/258.96.7.1 to 8.96.7.1268.96.7.127126
168.96.7.128/258.96.7.129 to 8.96.7.2548.96.7.255126
178.96.8.0/258.96.8.1 to 8.96.8.1268.96.8.127126
188.96.8.128/258.96.8.129 to 8.96.8.2548.96.8.255126
198.96.9.0/258.96.9.1 to 8.96.9.1268.96.9.127126
208.96.9.128/258.96.9.129 to 8.96.9.2548.96.9.255126
218.96.10.0/258.96.10.1 to 8.96.10.1268.96.10.127126
228.96.10.128/258.96.10.129 to 8.96.10.2548.96.10.255126
238.96.11.0/258.96.11.1 to 8.96.11.1268.96.11.127126
248.96.11.128/258.96.11.129 to 8.96.11.2548.96.11.255126
258.96.12.0/258.96.12.1 to 8.96.12.1268.96.12.127126
268.96.12.128/258.96.12.129 to 8.96.12.2548.96.12.255126
278.96.13.0/258.96.13.1 to 8.96.13.1268.96.13.127126
288.96.13.128/258.96.13.129 to 8.96.13.2548.96.13.255126
298.96.14.0/258.96.14.1 to 8.96.14.1268.96.14.127126
308.96.14.128/258.96.14.129 to 8.96.14.2548.96.14.255126
318.96.15.0/258.96.15.1 to 8.96.15.1268.96.15.127126
328.96.15.128/258.96.15.129 to 8.96.15.2548.96.15.255126
338.96.16.0/258.96.16.1 to 8.96.16.1268.96.16.127126
348.96.16.128/258.96.16.129 to 8.96.16.2548.96.16.255126
358.96.17.0/258.96.17.1 to 8.96.17.1268.96.17.127126
368.96.17.128/258.96.17.129 to 8.96.17.2548.96.17.255126
378.96.18.0/258.96.18.1 to 8.96.18.1268.96.18.127126
388.96.18.128/258.96.18.129 to 8.96.18.2548.96.18.255126
398.96.19.0/258.96.19.1 to 8.96.19.1268.96.19.127126
408.96.19.128/258.96.19.129 to 8.96.19.2548.96.19.255126
418.96.20.0/258.96.20.1 to 8.96.20.1268.96.20.127126
428.96.20.128/258.96.20.129 to 8.96.20.2548.96.20.255126
438.96.21.0/258.96.21.1 to 8.96.21.1268.96.21.127126
448.96.21.128/258.96.21.129 to 8.96.21.2548.96.21.255126
458.96.22.0/258.96.22.1 to 8.96.22.1268.96.22.127126
468.96.22.128/258.96.22.129 to 8.96.22.2548.96.22.255126
478.96.23.0/258.96.23.1 to 8.96.23.1268.96.23.127126
488.96.23.128/258.96.23.129 to 8.96.23.2548.96.23.255126
498.96.24.0/258.96.24.1 to 8.96.24.1268.96.24.127126
508.96.24.128/258.96.24.129 to 8.96.24.2548.96.24.255126
518.96.25.0/258.96.25.1 to 8.96.25.1268.96.25.127126
528.96.25.128/258.96.25.129 to 8.96.25.2548.96.25.255126
538.96.26.0/258.96.26.1 to 8.96.26.1268.96.26.127126
548.96.26.128/258.96.26.129 to 8.96.26.2548.96.26.255126
558.96.27.0/258.96.27.1 to 8.96.27.1268.96.27.127126
568.96.27.128/258.96.27.129 to 8.96.27.2548.96.27.255126
578.96.28.0/258.96.28.1 to 8.96.28.1268.96.28.127126
588.96.28.128/258.96.28.129 to 8.96.28.2548.96.28.255126
598.96.29.0/258.96.29.1 to 8.96.29.1268.96.29.127126
608.96.29.128/258.96.29.129 to 8.96.29.2548.96.29.255126
618.96.30.0/258.96.30.1 to 8.96.30.1268.96.30.127126
628.96.30.128/258.96.30.129 to 8.96.30.2548.96.30.255126
638.96.31.0/258.96.31.1 to 8.96.31.1268.96.31.127126
648.96.31.128/258.96.31.129 to 8.96.31.2548.96.31.255126
658.96.32.0/258.96.32.1 to 8.96.32.1268.96.32.127126
668.96.32.128/258.96.32.129 to 8.96.32.2548.96.32.255126
678.96.33.0/258.96.33.1 to 8.96.33.1268.96.33.127126
688.96.33.128/258.96.33.129 to 8.96.33.2548.96.33.255126
698.96.34.0/258.96.34.1 to 8.96.34.1268.96.34.127126
708.96.34.128/258.96.34.129 to 8.96.34.2548.96.34.255126
718.96.35.0/258.96.35.1 to 8.96.35.1268.96.35.127126
728.96.35.128/258.96.35.129 to 8.96.35.2548.96.35.255126
738.96.36.0/258.96.36.1 to 8.96.36.1268.96.36.127126
748.96.36.128/258.96.36.129 to 8.96.36.2548.96.36.255126
758.96.37.0/258.96.37.1 to 8.96.37.1268.96.37.127126
768.96.37.128/258.96.37.129 to 8.96.37.2548.96.37.255126
778.96.38.0/258.96.38.1 to 8.96.38.1268.96.38.127126
788.96.38.128/258.96.38.129 to 8.96.38.2548.96.38.255126
798.96.39.0/258.96.39.1 to 8.96.39.1268.96.39.127126
808.96.39.128/258.96.39.129 to 8.96.39.2548.96.39.255126
818.96.40.0/258.96.40.1 to 8.96.40.1268.96.40.127126
828.96.40.128/258.96.40.129 to 8.96.40.2548.96.40.255126
838.96.41.0/258.96.41.1 to 8.96.41.1268.96.41.127126
848.96.41.128/258.96.41.129 to 8.96.41.2548.96.41.255126
858.96.42.0/258.96.42.1 to 8.96.42.1268.96.42.127126
868.96.42.128/258.96.42.129 to 8.96.42.2548.96.42.255126
878.96.43.0/258.96.43.1 to 8.96.43.1268.96.43.127126
888.96.43.128/258.96.43.129 to 8.96.43.2548.96.43.255126
898.96.44.0/258.96.44.1 to 8.96.44.1268.96.44.127126
908.96.44.128/258.96.44.129 to 8.96.44.2548.96.44.255126
918.96.45.0/258.96.45.1 to 8.96.45.1268.96.45.127126
928.96.45.128/258.96.45.129 to 8.96.45.2548.96.45.255126
938.96.46.0/258.96.46.1 to 8.96.46.1268.96.46.127126
948.96.46.128/258.96.46.129 to 8.96.46.2548.96.46.255126
958.96.47.0/258.96.47.1 to 8.96.47.1268.96.47.127126
968.96.47.128/258.96.47.129 to 8.96.47.2548.96.47.255126
978.96.48.0/258.96.48.1 to 8.96.48.1268.96.48.127126
988.96.48.128/258.96.48.129 to 8.96.48.2548.96.48.255126
998.96.49.0/258.96.49.1 to 8.96.49.1268.96.49.127126
1008.96.49.128/258.96.49.129 to 8.96.49.2548.96.49.255126
1018.96.50.0/258.96.50.1 to 8.96.50.1268.96.50.127126
1028.96.50.128/258.96.50.129 to 8.96.50.2548.96.50.255126
1038.96.51.0/258.96.51.1 to 8.96.51.1268.96.51.127126
1048.96.51.128/258.96.51.129 to 8.96.51.2548.96.51.255126
1058.96.52.0/258.96.52.1 to 8.96.52.1268.96.52.127126
1068.96.52.128/258.96.52.129 to 8.96.52.2548.96.52.255126
1078.96.53.0/258.96.53.1 to 8.96.53.1268.96.53.127126
1088.96.53.128/258.96.53.129 to 8.96.53.2548.96.53.255126
1098.96.54.0/258.96.54.1 to 8.96.54.1268.96.54.127126
1108.96.54.128/258.96.54.129 to 8.96.54.2548.96.54.255126
1118.96.55.0/258.96.55.1 to 8.96.55.1268.96.55.127126
1128.96.55.128/258.96.55.129 to 8.96.55.2548.96.55.255126
1138.96.56.0/258.96.56.1 to 8.96.56.1268.96.56.127126
1148.96.56.128/258.96.56.129 to 8.96.56.2548.96.56.255126
1158.96.57.0/258.96.57.1 to 8.96.57.1268.96.57.127126
1168.96.57.128/258.96.57.129 to 8.96.57.2548.96.57.255126
1178.96.58.0/258.96.58.1 to 8.96.58.1268.96.58.127126
1188.96.58.128/258.96.58.129 to 8.96.58.2548.96.58.255126
1198.96.59.0/258.96.59.1 to 8.96.59.1268.96.59.127126
1208.96.59.128/258.96.59.129 to 8.96.59.2548.96.59.255126
1218.96.60.0/258.96.60.1 to 8.96.60.1268.96.60.127126
1228.96.60.128/258.96.60.129 to 8.96.60.2548.96.60.255126
1238.96.61.0/258.96.61.1 to 8.96.61.1268.96.61.127126
1248.96.61.128/258.96.61.129 to 8.96.61.2548.96.61.255126
1258.96.62.0/258.96.62.1 to 8.96.62.1268.96.62.127126
1268.96.62.128/258.96.62.129 to 8.96.62.2548.96.62.255126
1278.96.63.0/258.96.63.1 to 8.96.63.1268.96.63.127126
1288.96.63.128/258.96.63.129 to 8.96.63.2548.96.63.255126
1298.96.64.0/258.96.64.1 to 8.96.64.1268.96.64.127126
1308.96.64.128/258.96.64.129 to 8.96.64.2548.96.64.255126
1318.96.65.0/258.96.65.1 to 8.96.65.1268.96.65.127126
1328.96.65.128/258.96.65.129 to 8.96.65.2548.96.65.255126
1338.96.66.0/258.96.66.1 to 8.96.66.1268.96.66.127126
1348.96.66.128/258.96.66.129 to 8.96.66.2548.96.66.255126
1358.96.67.0/258.96.67.1 to 8.96.67.1268.96.67.127126
1368.96.67.128/258.96.67.129 to 8.96.67.2548.96.67.255126
1378.96.68.0/258.96.68.1 to 8.96.68.1268.96.68.127126
1388.96.68.128/258.96.68.129 to 8.96.68.2548.96.68.255126
1398.96.69.0/258.96.69.1 to 8.96.69.1268.96.69.127126
1408.96.69.128/258.96.69.129 to 8.96.69.2548.96.69.255126
1418.96.70.0/258.96.70.1 to 8.96.70.1268.96.70.127126
1428.96.70.128/258.96.70.129 to 8.96.70.2548.96.70.255126
1438.96.71.0/258.96.71.1 to 8.96.71.1268.96.71.127126
1448.96.71.128/258.96.71.129 to 8.96.71.2548.96.71.255126
1458.96.72.0/258.96.72.1 to 8.96.72.1268.96.72.127126
1468.96.72.128/258.96.72.129 to 8.96.72.2548.96.72.255126
1478.96.73.0/258.96.73.1 to 8.96.73.1268.96.73.127126
1488.96.73.128/258.96.73.129 to 8.96.73.2548.96.73.255126
1498.96.74.0/258.96.74.1 to 8.96.74.1268.96.74.127126
1508.96.74.128/258.96.74.129 to 8.96.74.2548.96.74.255126
1518.96.75.0/258.96.75.1 to 8.96.75.1268.96.75.127126
1528.96.75.128/258.96.75.129 to 8.96.75.2548.96.75.255126
1538.96.76.0/258.96.76.1 to 8.96.76.1268.96.76.127126
1548.96.76.128/258.96.76.129 to 8.96.76.2548.96.76.255126
1558.96.77.0/258.96.77.1 to 8.96.77.1268.96.77.127126
1568.96.77.128/258.96.77.129 to 8.96.77.2548.96.77.255126
1578.96.78.0/258.96.78.1 to 8.96.78.1268.96.78.127126
1588.96.78.128/258.96.78.129 to 8.96.78.2548.96.78.255126
1598.96.79.0/258.96.79.1 to 8.96.79.1268.96.79.127126
1608.96.79.128/258.96.79.129 to 8.96.79.2548.96.79.255126
1618.96.80.0/258.96.80.1 to 8.96.80.1268.96.80.127126
1628.96.80.128/258.96.80.129 to 8.96.80.2548.96.80.255126
1638.96.81.0/258.96.81.1 to 8.96.81.1268.96.81.127126
1648.96.81.128/258.96.81.129 to 8.96.81.2548.96.81.255126
1658.96.82.0/258.96.82.1 to 8.96.82.1268.96.82.127126
1668.96.82.128/258.96.82.129 to 8.96.82.2548.96.82.255126
1678.96.83.0/258.96.83.1 to 8.96.83.1268.96.83.127126
1688.96.83.128/258.96.83.129 to 8.96.83.2548.96.83.255126
1698.96.84.0/258.96.84.1 to 8.96.84.1268.96.84.127126
1708.96.84.128/258.96.84.129 to 8.96.84.2548.96.84.255126
1718.96.85.0/258.96.85.1 to 8.96.85.1268.96.85.127126
1728.96.85.128/258.96.85.129 to 8.96.85.2548.96.85.255126
1738.96.86.0/258.96.86.1 to 8.96.86.1268.96.86.127126
1748.96.86.128/258.96.86.129 to 8.96.86.2548.96.86.255126
1758.96.87.0/258.96.87.1 to 8.96.87.1268.96.87.127126
1768.96.87.128/258.96.87.129 to 8.96.87.2548.96.87.255126
1778.96.88.0/258.96.88.1 to 8.96.88.1268.96.88.127126
1788.96.88.128/258.96.88.129 to 8.96.88.2548.96.88.255126
1798.96.89.0/258.96.89.1 to 8.96.89.1268.96.89.127126
1808.96.89.128/258.96.89.129 to 8.96.89.2548.96.89.255126
1818.96.90.0/258.96.90.1 to 8.96.90.1268.96.90.127126
1828.96.90.128/258.96.90.129 to 8.96.90.2548.96.90.255126
1838.96.91.0/258.96.91.1 to 8.96.91.1268.96.91.127126
1848.96.91.128/258.96.91.129 to 8.96.91.2548.96.91.255126
1858.96.92.0/258.96.92.1 to 8.96.92.1268.96.92.127126
1868.96.92.128/258.96.92.129 to 8.96.92.2548.96.92.255126
1878.96.93.0/258.96.93.1 to 8.96.93.1268.96.93.127126
1888.96.93.128/258.96.93.129 to 8.96.93.2548.96.93.255126
1898.96.94.0/258.96.94.1 to 8.96.94.1268.96.94.127126
1908.96.94.128/258.96.94.129 to 8.96.94.2548.96.94.255126
1918.96.95.0/258.96.95.1 to 8.96.95.1268.96.95.127126
1928.96.95.128/258.96.95.129 to 8.96.95.2548.96.95.255126
1938.96.96.0/258.96.96.1 to 8.96.96.1268.96.96.127126
1948.96.96.128/258.96.96.129 to 8.96.96.2548.96.96.255126
1958.96.97.0/258.96.97.1 to 8.96.97.1268.96.97.127126
1968.96.97.128/258.96.97.129 to 8.96.97.2548.96.97.255126
1978.96.98.0/258.96.98.1 to 8.96.98.1268.96.98.127126
1988.96.98.128/258.96.98.129 to 8.96.98.2548.96.98.255126
1998.96.99.0/258.96.99.1 to 8.96.99.1268.96.99.127126
2008.96.99.128/258.96.99.129 to 8.96.99.2548.96.99.255126
2018.96.100.0/258.96.100.1 to 8.96.100.1268.96.100.127126
2028.96.100.128/258.96.100.129 to 8.96.100.2548.96.100.255126
2038.96.101.0/258.96.101.1 to 8.96.101.1268.96.101.127126
2048.96.101.128/258.96.101.129 to 8.96.101.2548.96.101.255126
2058.96.102.0/258.96.102.1 to 8.96.102.1268.96.102.127126
2068.96.102.128/258.96.102.129 to 8.96.102.2548.96.102.255126
2078.96.103.0/258.96.103.1 to 8.96.103.1268.96.103.127126
2088.96.103.128/258.96.103.129 to 8.96.103.2548.96.103.255126
2098.96.104.0/258.96.104.1 to 8.96.104.1268.96.104.127126
2108.96.104.128/258.96.104.129 to 8.96.104.2548.96.104.255126
2118.96.105.0/258.96.105.1 to 8.96.105.1268.96.105.127126
2128.96.105.128/258.96.105.129 to 8.96.105.2548.96.105.255126
2138.96.106.0/258.96.106.1 to 8.96.106.1268.96.106.127126
2148.96.106.128/258.96.106.129 to 8.96.106.2548.96.106.255126
2158.96.107.0/258.96.107.1 to 8.96.107.1268.96.107.127126
2168.96.107.128/258.96.107.129 to 8.96.107.2548.96.107.255126
2178.96.108.0/258.96.108.1 to 8.96.108.1268.96.108.127126
2188.96.108.128/258.96.108.129 to 8.96.108.2548.96.108.255126
2198.96.109.0/258.96.109.1 to 8.96.109.1268.96.109.127126
2208.96.109.128/258.96.109.129 to 8.96.109.2548.96.109.255126
2218.96.110.0/258.96.110.1 to 8.96.110.1268.96.110.127126
2228.96.110.128/258.96.110.129 to 8.96.110.2548.96.110.255126
2238.96.111.0/258.96.111.1 to 8.96.111.1268.96.111.127126
2248.96.111.128/258.96.111.129 to 8.96.111.2548.96.111.255126
2258.96.112.0/258.96.112.1 to 8.96.112.1268.96.112.127126
2268.96.112.128/258.96.112.129 to 8.96.112.2548.96.112.255126
2278.96.113.0/258.96.113.1 to 8.96.113.1268.96.113.127126
2288.96.113.128/258.96.113.129 to 8.96.113.2548.96.113.255126
2298.96.114.0/258.96.114.1 to 8.96.114.1268.96.114.127126
2308.96.114.128/258.96.114.129 to 8.96.114.2548.96.114.255126
2318.96.115.0/258.96.115.1 to 8.96.115.1268.96.115.127126
2328.96.115.128/258.96.115.129 to 8.96.115.2548.96.115.255126
2338.96.116.0/258.96.116.1 to 8.96.116.1268.96.116.127126
2348.96.116.128/258.96.116.129 to 8.96.116.2548.96.116.255126
2358.96.117.0/258.96.117.1 to 8.96.117.1268.96.117.127126
2368.96.117.128/258.96.117.129 to 8.96.117.2548.96.117.255126
2378.96.118.0/258.96.118.1 to 8.96.118.1268.96.118.127126
2388.96.118.128/258.96.118.129 to 8.96.118.2548.96.118.255126
2398.96.119.0/258.96.119.1 to 8.96.119.1268.96.119.127126
2408.96.119.128/258.96.119.129 to 8.96.119.2548.96.119.255126
2418.96.120.0/258.96.120.1 to 8.96.120.1268.96.120.127126
2428.96.120.128/258.96.120.129 to 8.96.120.2548.96.120.255126
2438.96.121.0/258.96.121.1 to 8.96.121.1268.96.121.127126
2448.96.121.128/258.96.121.129 to 8.96.121.2548.96.121.255126
2458.96.122.0/258.96.122.1 to 8.96.122.1268.96.122.127126
2468.96.122.128/258.96.122.129 to 8.96.122.2548.96.122.255126
2478.96.123.0/258.96.123.1 to 8.96.123.1268.96.123.127126
2488.96.123.128/258.96.123.129 to 8.96.123.2548.96.123.255126
2498.96.124.0/258.96.124.1 to 8.96.124.1268.96.124.127126
2508.96.124.128/258.96.124.129 to 8.96.124.2548.96.124.255126
2518.96.125.0/258.96.125.1 to 8.96.125.1268.96.125.127126
2528.96.125.128/258.96.125.129 to 8.96.125.2548.96.125.255126
2538.96.126.0/258.96.126.1 to 8.96.126.1268.96.126.127126
2548.96.126.128/258.96.126.129 to 8.96.126.2548.96.126.255126
2558.96.127.0/258.96.127.1 to 8.96.127.1268.96.127.127126
2568.96.127.128/258.96.127.129 to 8.96.127.2548.96.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses